Index: tftp/tftpsubs.c
===================================================================
RCS file: /cvs/src/usr.bin/tftp/tftpsubs.c,v
retrieving revision 1.3
diff -u -u -r1.3 tftpsubs.c
--- tftp/tftpsubs.c	4 Oct 2003 20:36:52 -0000	1.3
+++ tftp/tftpsubs.c	7 Nov 2004 20:02:16 -0000
@@ -174,7 +174,7 @@
 	bfs[current].counter = ct;      /* set size of data to write */
 	current = !current;             /* switch to other buffer */
 	if (bfs[current].counter != BF_FREE)     /* if not free */
-		(void)write_behind(file, convert); /* flush it */
+		write_behind(file, convert); /* flush it */
 	bfs[current].counter = BF_ALLOC;        /* mark as alloc'd */
 	*dpp =  (struct tftphdr *)bfs[current].buf;
 	return ct;                      /* this is a lie of course */
@@ -252,11 +252,11 @@
 	int fromlen;
 
 	while (1) {
-		(void) ioctl(f, FIONREAD, &i);
+		ioctl(f, FIONREAD, &i);
 		if (i) {
 			j++;
 			fromlen = sizeof from;
-			(void) recvfrom(f, rbuf, sizeof (rbuf), 0,
+			recvfrom(f, rbuf, sizeof (rbuf), 0,
 				(struct sockaddr *)&from, &fromlen);
 		} else {
 			return(j);
Index: top/machine.c
===================================================================
RCS file: /cvs/src/usr.bin/top/machine.c,v
retrieving revision 1.12
diff -u -u -r1.12 machine.c
--- top/machine.c	4 Jun 2004 11:21:53 -0000	1.12
+++ top/machine.c	7 Nov 2004 20:02:16 -0000
@@ -252,7 +252,7 @@
 
 
     /* get the list of symbols we want to access in the kernel */
-    (void) kvm_nlist(kd, nlst);
+    kvm_nlist(kd, nlst);
     if (nlst[0].n_type == 0)
     {
 	fprintf(stderr, "top: nlist failed\n");
@@ -265,7 +265,7 @@
 	return(-1);
     }
 
-    (void) getkval(nlst[X_CCPU].n_value,   (int *)(&ccpu),	sizeof(ccpu),
+    getkval(nlst[X_CCPU].n_value,   (int *)(&ccpu),	sizeof(ccpu),
 	    nlst[X_CCPU].n_name);
 
     /* stash away certain offsets for later use */
@@ -338,12 +338,12 @@
     size_t bt_size;
 
     /* get the cp_time array */
-    (void) getkval(cp_time_offset, (int *)cp_time, sizeof(cp_time),
+    getkval(cp_time_offset, (int *)cp_time, sizeof(cp_time),
 		   nlst[X_CP_TIME].n_name);
-    (void) getkval(avenrun_offset, (int *)avenrun, sizeof(avenrun),
+    getkval(avenrun_offset, (int *)avenrun, sizeof(avenrun),
 		   nlst[X_AVENRUN].n_name);
 
-    (void) getkval(lastpid_offset, (int *)(&lastpid), sizeof(lastpid),
+    getkval(lastpid_offset, (int *)(&lastpid), sizeof(lastpid),
 		   "!");
 
     /* convert load averages to doubles */
@@ -391,7 +391,7 @@
 		perror("sysctlbyname: vm.vmstats");
 		exit(1);
 	}
-        (void) getkval(bufspace_offset, (int *)(&bufspace), sizeof(bufspace),
+        getkval(bufspace_offset, (int *)(&bufspace), sizeof(bufspace),
 		   "_bufspace");
 
 	/* convert memory stats to Kbytes */
@@ -481,7 +481,7 @@
 	pref = (struct kinfo_proc **) realloc(pref, sizeof(struct kinfo_proc *)
 		* (onproc = nproc));
     if (pref == NULL || pbase == NULL) {
-	(void) fprintf(stderr, "top: Out of memory.\n");
+	fprintf(stderr, "top: Out of memory.\n");
 	quit(23);
     }
     /* get a pointer to the states summary array */
@@ -577,11 +577,11 @@
 	char *comm = TP(pp, td_comm);
 #define COMSIZ sizeof(TP(pp, td_comm))
 	char buf[COMSIZ];
-	(void) strncpy(buf, comm, COMSIZ);
+	strncpy(buf, comm, COMSIZ);
 	comm[0] = wrapper[0];
-	(void) strncpy(&comm[1], buf, COMSIZ - 2);
+	strncpy(&comm[1], buf, COMSIZ - 2);
 	comm[COMSIZ - 2] = '\0';
-	(void) strncat(comm, &wrapper[1], COMSIZ - 1);
+	strncat(comm, &wrapper[1], COMSIZ - 1);
 	comm[COMSIZ - 1] = '\0';
     }
 
@@ -685,7 +685,7 @@
 	if (nlst->n_type == 0)
 	{
 	    /* this one wasn't found */
-	    (void) fprintf(stderr, "kernel: no symbol named `%s'\n",
+	    fprintf(stderr, "kernel: no symbol named `%s'\n",
 			   nlst->n_name);
 	    i = 1;
 	}
Index: tput/tput.c
===================================================================
RCS file: /cvs/src/usr.bin/tput/tput.c,v
retrieving revision 1.3
diff -u -u -r1.3 tput.c
--- tput/tput.c	4 Oct 2003 20:36:53 -0000	1.3
+++ tput/tput.c	7 Nov 2004 20:02:16 -0000
@@ -100,7 +100,7 @@
 		if (tgetstr(p, &cptr))
 			argv = process(p, buf, argv);
 		else if ((n = tgetnum(p)) != -1)
-			(void)printf("%d\n", n);
+			printf("%d\n", n);
 		else
 			exitval = !tgetflag(p);
 	}
@@ -116,7 +116,7 @@
 	for (p = buf; *p && *p != ':'; ++p);
 	savech = *(savep = p);
 	for (*p = '\0'; p >= buf && *p != '|'; --p);
-	(void)printf("%s\n", p + 1);
+	printf("%s\n", p + 1);
 	*savep = savech;
 }
 
@@ -166,7 +166,7 @@
 	/* And print them. */
 	switch (arg_need) {
 	case 0:
-		(void)tputs(str, 1, outc);
+		tputs(str, 1, outc);
 		break;
 	case 1:
 		arg_cols = 0;
@@ -175,7 +175,7 @@
 			errx(2, errfew, 1, cap);
 		arg_rows = atoi(*argv);
 
-		(void)tputs(tgoto(str, arg_cols, arg_rows), 1, outc);
+		tputs(tgoto(str, arg_cols, arg_rows), 1, outc);
 		break;
 	case 2:
 		if (*++argv == NULL || *argv[0] == '\0')
@@ -186,7 +186,7 @@
 			errx(2, errfew, 2, cap);
 		arg_rows = atoi(*argv);
 
-		(void) tputs(tgoto(str, arg_cols, arg_rows), arg_rows, outc);
+		tputs(tgoto(str, arg_cols, arg_rows), arg_rows, outc);
 		break;
 
 	default:
@@ -198,6 +198,6 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: tput [-T term] attribute ...\n");
+	fprintf(stderr, "usage: tput [-T term] attribute ...\n");
 	exit(1);
 }
Index: tr/tr.c
===================================================================
RCS file: /cvs/src/usr.bin/tr/tr.c,v
retrieving revision 1.3
diff -u -u -r1.3 tr.c
--- tr/tr.c	4 Oct 2003 20:36:53 -0000	1.3
+++ tr/tr.c	7 Nov 2004 20:02:16 -0000
@@ -94,7 +94,7 @@
 	int ch, cnt, lastch, *p;
 	int cflag, dflag, sflag, isstring2;
 
-	(void)setlocale(LC_ALL, "");
+	setlocale(LC_ALL, "");
 
 	cflag = dflag = sflag = 0;
 	while ((ch = getopt(argc, argv, "cdsu")) != -1)
@@ -146,7 +146,7 @@
 		for (lastch = OOBCH; (ch = getchar()) != EOF;)
 			if (!string1[ch] && (!string2[ch] || lastch != ch)) {
 				lastch = ch;
-				(void)putchar(ch);
+				putchar(ch);
 			}
 		exit(0);
 	}
@@ -163,7 +163,7 @@
 
 		while ((ch = getchar()) != EOF)
 			if (!string1[ch])
-				(void)putchar(ch);
+				putchar(ch);
 		exit(0);
 	}
 
@@ -177,7 +177,7 @@
 		for (lastch = OOBCH; (ch = getchar()) != EOF;)
 			if (!string1[ch] || lastch != ch) {
 				lastch = ch;
-				(void)putchar(ch);
+				putchar(ch);
 			}
 		exit(0);
 	}
@@ -207,12 +207,12 @@
 		while (next(&s1)) {
 			string1[s1.lastch] = ch = s2.lastch;
 			string2[ch] = 1;
-			(void)next(&s2);
+			next(&s2);
 		}
 	else
 		while (next(&s1)) {
 			string1[s1.lastch] = ch = s2.lastch;
-			(void)next(&s2);
+			next(&s2);
 		}
 
 	if (cflag)
@@ -224,12 +224,12 @@
 			ch = string1[ch];
 			if (!string2[ch] || lastch != ch) {
 				lastch = ch;
-				(void)putchar(ch);
+				putchar(ch);
 			}
 		}
 	else
 		while ((ch = getchar()) != EOF)
-			(void)putchar(string1[ch]);
+			putchar(string1[ch]);
 	exit (0);
 }
 
@@ -250,7 +250,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "%s\n%s\n%s\n%s\n",
+	fprintf(stderr, "%s\n%s\n%s\n%s\n",
 		"usage: tr [-csu] string1 string2",
 		"       tr [-cu] -d string1",
 		"       tr [-cu] -s string1",
Index: truss/main.c
===================================================================
RCS file: /cvs/src/usr.bin/truss/main.c,v
retrieving revision 1.4
diff -u -u -r1.4 main.c
--- truss/main.c	4 Nov 2003 15:34:41 -0000	1.4
+++ truss/main.c	7 Nov 2004 20:02:16 -0000
@@ -278,8 +278,8 @@
   if (sigexit) {
     if (sigexit == SIGQUIT)
       exit(sigexit);
-    (void) signal(sigexit, SIG_DFL);
-    (void) kill(getpid(), sigexit);
+    signal(sigexit, SIG_DFL);
+    kill(getpid(), sigexit);
   }
   return 0;
 }
Index: tset/map.c
===================================================================
RCS file: /cvs/src/usr.bin/tset/map.c,v
retrieving revision 1.5
diff -u -u -r1.5 map.c
--- tset/map.c	30 Aug 2004 18:06:50 -0000	1.5
+++ tset/map.c	7 Nov 2004 20:02:16 -0000
@@ -158,21 +158,21 @@
 	}
 
 #ifdef MAPDEBUG
-	(void)printf("port: %s\n", mapp->porttype ? mapp->porttype : "ANY");
-	(void)printf("type: %s\n", mapp->type);
-	(void)printf("conditional: ");
+	printf("port: %s\n", mapp->porttype ? mapp->porttype : "ANY");
+	printf("type: %s\n", mapp->type);
+	printf("conditional: ");
 	p = "";
 	if (mapp->conditional & GT) {
-		(void)printf("GT");
+		printf("GT");
 		p = "/";
 	}
 	if (mapp->conditional & EQ) {
-		(void)printf("%sEQ", p);
+		printf("%sEQ", p);
 		p = "/";
 	}
 	if (mapp->conditional & LT)
-		(void)printf("%sLT", p);
-	(void)printf("\nspeed: %d\n", mapp->speed);
+		printf("%sLT", p);
+	printf("\nspeed: %d\n", mapp->speed);
 #endif
 }
 
Index: tset/misc.c
===================================================================
RCS file: /cvs/src/usr.bin/tset/misc.c,v
retrieving revision 1.3
diff -u -u -r1.3 misc.c
--- tset/misc.c	4 Oct 2003 20:36:53 -0000	1.3
+++ tset/misc.c	7 Nov 2004 20:02:16 -0000
@@ -57,7 +57,7 @@
 			err(1, "write to stderr");
 	if (nr != 0)
 		err(1, "%s", file);
-	(void)close(fd);
+	close(fd);
 }
 
 int
Index: tset/set.c
===================================================================
RCS file: /cvs/src/usr.bin/tset/set.c,v
retrieving revision 1.3
diff -u -u -r1.3 set.c
--- tset/set.c	4 Oct 2003 20:36:53 -0000	1.3
+++ tset/set.c	7 Nov 2004 20:02:16 -0000
@@ -263,9 +263,9 @@
 	}
 
 	if (settle) {
-		(void)putc('\r', stderr);
-		(void)fflush(stderr);
-		(void)sleep(1);			/* Settle the terminal. */
+		putc('\r', stderr);
+		fflush(stderr);
+		sleep(1);			/* Settle the terminal. */
 	}
 }
 
@@ -287,7 +287,7 @@
 	Set_tab = tgetstr("st", &capsp);
 
 	if (Set_tab && (clear_tabs = tgetstr("ct", &capsp))) {
-		(void)putc('\r', stderr);	/* Force to left margin. */
+		putc('\r', stderr);	/* Force to left margin. */
 		tputs(clear_tabs, 0, outc);
 	}
 
@@ -308,7 +308,7 @@
 			if (*tg_out != 'O')
 				tputs(tg_out, 1, outc);
 			else
-				(void)fprintf(stderr, "%s", "        ");
+				fprintf(stderr, "%s", "        ");
 			/* Set the tab. */
 			tputs(Set_tab, 0, outc);
 		}
Index: tset/term.c
===================================================================
RCS file: /cvs/src/usr.bin/tset/term.c,v
retrieving revision 1.4
diff -u -u -r1.4 term.c
--- tset/term.c	30 Aug 2004 18:06:50 -0000	1.4
+++ tset/term.c	7 Nov 2004 20:02:16 -0000
@@ -126,19 +126,19 @@
 
 	/* We can get recalled; if so, don't continue uselessly. */
 	if (feof(stdin) || ferror(stdin)) {
-		(void)fprintf(stderr, "\n");
+		fprintf(stderr, "\n");
 		exit(1);
 	}
 	for (;;) {
 		if (dflt)
-			(void)fprintf(stderr, "Terminal type? [%s] ", dflt);
+			fprintf(stderr, "Terminal type? [%s] ", dflt);
 		else
-			(void)fprintf(stderr, "Terminal type? ");
-		(void)fflush(stderr);
+			fprintf(stderr, "Terminal type? ");
+		fflush(stderr);
 
 		if (fgets(answer, sizeof(answer), stdin) == NULL) {
 			if (dflt == NULL) {
-				(void)fprintf(stderr, "\n");
+				fprintf(stderr, "\n");
 				exit(1);
 			}
 			return (dflt);
Index: tset/tset.c
===================================================================
RCS file: /cvs/src/usr.bin/tset/tset.c,v
retrieving revision 1.3
diff -u -u -r1.3 tset.c
--- tset/tset.c	4 Oct 2003 20:36:53 -0000	1.3
+++ tset/tset.c	7 Nov 2004 20:02:16 -0000
@@ -155,12 +155,12 @@
 
 #ifdef TIOCGWINSZ
 		/* Set window size */
-		(void)ioctl(STDERR_FILENO, TIOCGWINSZ, &win);
+		ioctl(STDERR_FILENO, TIOCGWINSZ, &win);
 		if (win.ws_row == 0 && win.ws_col == 0 &&
 		    Lines > 0 && Columns > 0) {
 			win.ws_row = Lines;
 			win.ws_col = Columns;
-			(void)ioctl(STDERR_FILENO, TIOCSWINSZ, &win);
+			ioctl(STDERR_FILENO, TIOCSWINSZ, &win);
 		}
 #endif
 		set_control_chars();
@@ -175,10 +175,10 @@
 	}
 
 	if (noset)
-		(void)printf("%s\n", ttype);
+		printf("%s\n", ttype);
 	else {
 		if (showterm)
-			(void)fprintf(stderr, "Terminal type is %s.\n", ttype);
+			fprintf(stderr, "Terminal type is %s.\n", ttype);
 		/*
 		 * If erase, kill and interrupt characters could have been
 		 * modified and not -Q, display the changes.
@@ -191,7 +191,7 @@
 	}
 
 	if (Sflag) {
-		(void)printf("%s ", ttype);
+		printf("%s ", ttype);
 		if (strlen(tcapbuf) > 0)
 			wrtermcap(tcapbuf);
 	}
@@ -238,17 +238,17 @@
 	if (old == new && old == def)
 		return;
 
-	(void)fprintf(stderr, "%s %s ", name, old == new ? "is" : "set to");
+	fprintf(stderr, "%s %s ", name, old == new ? "is" : "set to");
 
 	if (new == 010)
-		(void)fprintf(stderr, "backspace.\n");
+		fprintf(stderr, "backspace.\n");
 	else if (new == 0177)
-		(void)fprintf(stderr, "delete.\n");
+		fprintf(stderr, "delete.\n");
 	else if (new < 040) {
 		new ^= 0100;
-		(void)fprintf(stderr, "control-%c (^%c).\n", new, new);
+		fprintf(stderr, "control-%c (^%c).\n", new, new);
 	} else
-		(void)fprintf(stderr, "%c.\n", new);
+		fprintf(stderr, "%c.\n", new);
 }
 
 /*
@@ -280,7 +280,7 @@
 void
 usage(void)
 {
-	(void)fprintf(stderr, "%s\n%s\n",
+	fprintf(stderr, "%s\n%s\n",
 "usage: tset  [-IQrSs] [-] [-e ch] [-i ch] [-k ch] [-m mapping] [terminal]",
 "       reset [-IQrSs] [-] [-e ch] [-i ch] [-k ch] [-m mapping] [terminal]");
 	exit(1);
Index: tset/wrterm.c
===================================================================
RCS file: /cvs/src/usr.bin/tset/wrterm.c,v
retrieving revision 1.4
diff -u -u -r1.4 wrterm.c
--- tset/wrterm.c	30 Aug 2004 18:06:50 -0000	1.4
+++ tset/wrterm.c	7 Nov 2004 20:02:16 -0000
@@ -62,10 +62,10 @@
 	sep = "";
 	while ((p = strsep(&bp, "|")) != NULL)
 		if (*p != '\0' && strpbrk(p, " \t") == NULL) {
-			(void)printf("%s%s", sep, p);
+			printf("%s%s", sep, p);
 			sep = "|";
 		}
-	(void)putchar(':');
+	putchar(':');
 
 	/*
 	 * Output fields, transforming any dangerous characters.  Skip
@@ -79,34 +79,34 @@
 		while ((ch = *p++) != '\0')
 			switch(ch) {
 			case '\033':
-				(void)printf("\\E");
+				printf("\\E");
 			case  ' ':		/* No spaces. */
-				(void)printf("\\040");
+				printf("\\040");
 				break;
 			case '!':		/* No csh history chars. */
-				(void)printf("\\041");
+				printf("\\041");
 				break;
 			case ',':		/* No csh history chars. */
-				(void)printf("\\054");
+				printf("\\054");
 				break;
 			case '"':		/* No quotes. */
-				(void)printf("\\042");
+				printf("\\042");
 				break;
 			case '\'':		/* No quotes. */
-				(void)printf("\\047");
+				printf("\\047");
 				break;
 			case '`':		/* No quotes. */
-				(void)printf("\\140");
+				printf("\\140");
 				break;
 			case '\\':		/* Anything following is OK. */
 			case '^':
-				(void)putchar(ch);
+				putchar(ch);
 				if ((ch = *p++) == '\0')
 					break;
 				/* FALLTHROUGH */
 			default:
-				(void)putchar(ch);
+				putchar(ch);
 		}
-		(void)putchar(':');
+		putchar(':');
 	}
 }
Index: tsort/tsort.c
===================================================================
RCS file: /cvs/src/usr.bin/tsort/tsort.c,v
retrieving revision 1.3
diff -u -u -r1.3 tsort.c
--- tsort/tsort.c	4 Oct 2003 20:36:53 -0000	1.3
+++ tsort/tsort.c	7 Nov 2004 20:02:16 -0000
@@ -170,7 +170,7 @@
 			add_arc(bufs[0].b_buf, bufs[1].b_buf);
 		n = !n;
 	}
-	(void)fclose(fp);
+	fclose(fp);
 	if (n)
 		errx(1, "odd data count");
 
@@ -358,7 +358,7 @@
 	register NODE **np;
 	register int i;
 
-	(void)printf("%s\n", n->n_name);
+	printf("%s\n", n->n_name);
 	for (np = n->n_arcs, i = n->n_narcs; --i >= 0; np++)
 		--(*np)->n_refcnt;
 	n->n_narcs = 0;
@@ -388,7 +388,7 @@
 		if (*np == to) {
 			if (depth + 1 > longest_len) {
 				longest_len = depth + 1;
-				(void)memcpy((char *)longest_cycle,
+				memcpy((char *)longest_cycle,
 				    (char *)cycle_buf,
 				    longest_len * sizeof(NODE *));
 			}
@@ -398,7 +398,7 @@
 			len = find_cycle(*np, to, longest_len, depth + 1);
 
 			if (debug)
-				(void)printf("%*s %s->%s %d\n", depth, "",
+				printf("%*s %s->%s %d\n", depth, "",
 				    from->n_name, to->n_name, len);
 
 			if (len == 0)
@@ -418,6 +418,6 @@
 void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: tsort [-dlq] [file]\n");
+	fprintf(stderr, "usage: tsort [-dlq] [file]\n");
 	exit(1);
 }
Index: ul/ul.c
===================================================================
RCS file: /cvs/src/usr.bin/ul/ul.c,v
retrieving revision 1.3
diff -u -u -r1.3 ul.c
--- ul/ul.c	4 Oct 2003 20:36:54 -0000	1.3
+++ ul/ul.c	7 Nov 2004 20:02:16 -0000
@@ -126,7 +126,7 @@
 
 	case 0:
 		/* No such terminal type - assume dumb */
-		(void)strcpy(termcap, "dumb:os:col#80:cr=^M:sf=^J:am:");
+		strcpy(termcap, "dumb:os:col#80:cr=^M:sf=^J:am:");
 		break;
 	}
 	initcap();
@@ -293,7 +293,7 @@
 	putchar('\n');
 	if (iflag && hadmodes)
 		iattr();
-	(void)fflush(stdout);
+	fflush(stdout);
 	if (upln)
 		upln--;
 	initbuf();
Index: unifdef/unifdef.c
===================================================================
RCS file: /cvs/src/usr.bin/unifdef/unifdef.c,v
retrieving revision 1.2
diff -u -u -r1.2 unifdef.c
--- unifdef/unifdef.c	17 Jun 2003 04:29:33 -0000	1.2
+++ unifdef/unifdef.c	7 Nov 2004 20:02:16 -0000
@@ -278,7 +278,7 @@
 		filename = *argv;
 		if ((input = fopen(filename, "r")) != NULL) {
 			process();
-			(void) fclose(input);
+			fclose(input);
 		} else
 			err(2, "can't open %s", *argv);
 	} else {
Index: uniq/uniq.c
===================================================================
RCS file: /cvs/src/usr.bin/uniq/uniq.c,v
retrieving revision 1.3
diff -u -u -r1.3 uniq.c
--- uniq/uniq.c	4 Oct 2003 20:36:54 -0000	1.3
+++ uniq/uniq.c	7 Nov 2004 20:02:16 -0000
@@ -70,7 +70,7 @@
 	char *prevline, *thisline, *p;
 	int iflag = 0, comp;
 
-	(void) setlocale(LC_ALL, "");
+	setlocale(LC_ALL, "");
 
 	obsolete(argv);
 	while ((ch = getopt(argc, argv, "cdif:s:u")) != -1)
@@ -186,9 +186,9 @@
 {
 
 	if (cflag && *str)
-		(void)fprintf(ofp, "%4d %s\n", repeats + 1, str);
+		fprintf(ofp, "%4d %s\n", repeats + 1, str);
 	if ((dflag && repeats) || (uflag && !repeats))
-		(void)fprintf(ofp, "%s\n", str);
+		fprintf(ofp, "%s\n", str);
 }
 
 char *
@@ -240,7 +240,7 @@
 			errx(1, "malloc");
 		*p++ = '-';
 		*p++ = ap[0] == '+' ? 's' : 'f';
-		(void)strcpy(p, ap + 1);
+		strcpy(p, ap + 1);
 		*argv = start;
 	}
 }
@@ -248,7 +248,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 "usage: uniq [-c | -d | -u] [-i] [-f fields] [-s chars] [input [output]]\n");
 	exit(1);
 }
Index: uudecode/uudecode.c
===================================================================
RCS file: /cvs/src/usr.bin/uudecode/uudecode.c,v
retrieving revision 1.2
diff -u -u -r1.2 uudecode.c
--- uudecode/uudecode.c	17 Jun 2003 04:29:33 -0000	1.2
+++ uudecode/uudecode.c	7 Nov 2004 20:02:16 -0000
@@ -420,7 +420,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 "usage: uudecode [-cimprs] [file ...]\n"
 "       uudecode [-i] -o output_file [file]\n"
 "       b64decode [-cimprs] [file ...]\n"
Index: uuencode/uuencode.c
===================================================================
RCS file: /cvs/src/usr.bin/uuencode/uuencode.c,v
retrieving revision 1.2
diff -u -u -r1.2 uuencode.c
--- uuencode/uuencode.c	17 Jun 2003 04:29:33 -0000	1.2
+++ uuencode/uuencode.c	7 Nov 2004 20:02:16 -0000
@@ -170,7 +170,7 @@
 	register char *p;
 	char buf[80];
 
-	(void)fprintf(output, "begin %o %s\n", mode, *av);
+	fprintf(output, "begin %o %s\n", mode, *av);
 	while ((n = fread(buf, 1, 45, stdin))) {
 		ch = ENC(n);
 		if (fputc(ch, output) == EOF)
@@ -204,13 +204,13 @@
 	}
 	if (ferror(stdin))
 		errx(1, "read error");
-	(void)fprintf(output, "%c\nend\n", ENC('\0'));
+	fprintf(output, "%c\nend\n", ENC('\0'));
 }
 
 static void
 usage(void)
 {
-	(void)fprintf(stderr,
+	fprintf(stderr,
 "usage: uuencode [-m] [-o outfile] [infile] remotefile\n"
 "       b64encode [-o outfile] [infile] remotefile\n");
 	exit(1);
Index: vis/vis.c
===================================================================
RCS file: /cvs/src/usr.bin/vis/vis.c,v
retrieving revision 1.3
diff -u -u -r1.3 vis.c
--- vis/vis.c	4 Oct 2003 20:36:54 -0000	1.3
+++ vis/vis.c	7 Nov 2004 20:02:16 -0000
@@ -55,7 +55,7 @@
 	FILE *fp;
 	int ch;
 
-	(void) setlocale(LC_CTYPE, "");
+	setlocale(LC_CTYPE, "");
 
 	while ((ch = getopt(argc, argv, "nwctsobfF:ld")) != -1)
 		switch((char)ch) {
@@ -152,7 +152,7 @@
 			*cp++ = '\n';
 			*cp = '\0';
 		} else
-			(void) vis(buff, (char)c, eflags, (char)rachar);
+			vis(buff, (char)c, eflags, (char)rachar);
 
 		cp = buff;
 		if (fold) {
Index: w/pr_time.c
===================================================================
RCS file: /cvs/src/usr.bin/w/pr_time.c,v
retrieving revision 1.3
diff -u -u -r1.3 pr_time.c
--- w/pr_time.c	4 Oct 2003 20:36:54 -0000	1.3
+++ w/pr_time.c	7 Nov 2004 20:02:17 -0000
@@ -61,7 +61,7 @@
 
 	/* If more than a week, use day-month-year. */
 	if (diff > 86400 * 7)
-		(void)strcpy(fmt, "%d%b%y");
+		strcpy(fmt, "%d%b%y");
 
 	/* If not today, use day-hour-am/pm. */
 	else if (tm.tm_mday != tp.tm_mday ||
@@ -69,16 +69,16 @@
 		 tm.tm_year != tp.tm_year) {
 	/* The line below does not take DST into consideration */
 	/* else if (*now / 86400 != *started / 86400) { */
-		(void)strcpy(fmt, use_ampm ? "%a%I%p" : "%a%H");
+		strcpy(fmt, use_ampm ? "%a%I%p" : "%a%H");
 	}
 
 	/* Default is hh:mm{am,pm}. */
 	else {
-		(void)strcpy(fmt, use_ampm ? "%l:%M%p" : "%k:%M");
+		strcpy(fmt, use_ampm ? "%l:%M%p" : "%k:%M");
 	}
 
-	(void)strftime(buf, sizeof(buf), fmt, &tp);
-	(void)printf("%-7.7s", buf);
+	strftime(buf, sizeof(buf), fmt, &tp);
+	printf("%-7.7s", buf);
 }
 
 /*
@@ -92,7 +92,7 @@
 	/* If idle more than 36 hours, print as a number of days. */
 	if (idle >= 36 * 3600) {
 		int days = idle / 86400;
-		(void)printf(" %dday%s ", days, days > 1 ? "s" : " " );
+		printf(" %dday%s ", days, days > 1 ? "s" : " " );
 		if (days >= 100)
 			return (2);
 		if (days >= 10)
@@ -101,15 +101,15 @@
 
 	/* If idle more than an hour, print as HH:MM. */
 	else if (idle >= 3600)
-		(void)printf(" %2d:%02d ",
+		printf(" %2d:%02d ",
 		    (int)(idle / 3600), (int)((idle % 3600) / 60));
 
 	else if (idle / 60 == 0)
-		(void)printf("     - ");
+		printf("     - ");
 
 	/* Else print the minutes idle. */
 	else
-		(void)printf("    %2d ", (int)(idle / 60));
+		printf("    %2d ", (int)(idle / 60));
 
 	return (0); /* not idle longer than 9 days */
 }
Index: w/w.c
===================================================================
RCS file: /cvs/src/usr.bin/w/w.c,v
retrieving revision 1.6
diff -u -u -r1.6 w.c
--- w/w.c	25 Oct 2004 22:04:18 -0000	1.6
+++ w/w.c	7 Nov 2004 20:02:17 -0000
@@ -131,7 +131,7 @@
 	char *memf, *nlistf, *p, *x;
 	char buf[MAXHOSTNAMELEN], errbuf[_POSIX2_LINE_MAX];
 
-	(void)setlocale(LC_ALL, "");
+	setlocale(LC_ALL, "");
 	use_ampm = (*nl_langinfo(T_FMT_AMPM) != '\0');
 	use_comma = (*nl_langinfo(RADIXCHAR) != ',');
 
@@ -194,7 +194,7 @@
 	if ((kd = kvm_openfiles(nlistf, memf, NULL, O_RDONLY, errbuf)) == NULL)
 		errx(1, "%s", errbuf);
 
-	(void)time(&now);
+	time(&now);
 	if ((ut = fopen(_PATH_UTMP, "r")) == NULL)
 		err(1, "%s", _PATH_UTMP);
 
@@ -238,7 +238,7 @@
 			mib[0] = CTL_MACHDEP;
 			mib[1] = CPU_CONSDEV;
 			size = sizeof(dev_t);
-			(void)sysctl(mib, 2, &ep->tdev, &size, NULL, 0);
+			sysctl(mib, 2, &ep->tdev, &size, NULL, 0);
 		}
 #endif
 		touched = stp->st_atime;
@@ -249,12 +249,12 @@
 		if ((ep->idle = now - touched) < 0)
 			ep->idle = 0;
 	}
-	(void)fclose(ut);
+	fclose(ut);
 
 	if (header || wcmd == 0) {
 		pr_header(&now, nusers);
 		if (wcmd == 0) {
-			(void)kvm_close(kd);
+			kvm_close(kd);
 			exit(0);
 		}
 
@@ -265,7 +265,7 @@
 #define HEADER_WHAT		"WHAT\n"
 #define WUSED  (UT_NAMESIZE + UT_LINESIZE + UT_HOSTSIZE + \
 		sizeof(HEADER_LOGIN_IDLE) + 3)	/* header width incl. spaces */ 
-		(void)printf("%-*.*s %-*.*s %-*.*s  %s", 
+		printf("%-*.*s %-*.*s %-*.*s  %s", 
 				UT_NAMESIZE, UT_NAMESIZE, HEADER_USER,
 				UT_LINESIZE, UT_LINESIZE, HEADER_TTY,
 				UT_HOSTSIZE, UT_HOSTSIZE, HEADER_FROM,
@@ -384,7 +384,7 @@
 			}
 		}
 		if (x) {
-			(void)snprintf(buf, sizeof(buf), "%s:%s", p, x);
+			snprintf(buf, sizeof(buf), "%s:%s", p, x);
 			p = buf;
 		}
 		if (dflag) {
@@ -395,11 +395,11 @@
 				    dkp->kp_thread.td_comm, MAXCOMLEN);
 				if (ptr == NULL)
 					ptr = "-";
-				(void)printf("\t\t%-9d %s\n",
+				printf("\t\t%-9d %s\n",
 				    dkp->kp_proc.p_pid, ptr);
 			}
 		}
-		(void)printf("%-*.*s %-*.*s %-*.*s ",
+		printf("%-*.*s %-*.*s %-*.*s ",
 		    UT_NAMESIZE, UT_NAMESIZE, ep->utmp.ut_name,
 		    UT_LINESIZE, UT_LINESIZE,
 		    strncmp(ep->utmp.ut_line, "tty", 3) &&
@@ -408,9 +408,9 @@
 		    UT_HOSTSIZE, UT_HOSTSIZE, *p ? p : "-");
 		pr_attime(&ep->utmp.ut_time, &now);
 		longidle = pr_idle(ep->idle);
-		(void)printf("%.*s\n", argwidth - longidle, ep->args);
+		printf("%.*s\n", argwidth - longidle, ep->args);
 	}
-	(void)kvm_close(kd);
+	kvm_close(kd);
 	exit(0);
 }
 
@@ -427,10 +427,10 @@
 	/*
 	 * Print time of day.
 	 */
-	(void)strftime(buf, sizeof(buf)	- 1,
+	strftime(buf, sizeof(buf)	- 1,
 		       use_ampm	? "%l:%M%p" : "%k:%M", localtime(nowp));
 	buf[sizeof(buf) - 1] = '\0';
-	(void)printf("%s ", buf);
+	printf("%s ", buf);
 
 	/*
 	 * Print how long system has been up.
@@ -450,35 +450,35 @@
 		uptime %= 3600;
 		mins = uptime / 60;
 		secs = uptime % 60;
-		(void)printf(" up");
+		printf(" up");
 		if (days > 0)
-			(void)printf(" %d day%s,", days, days > 1 ? "s" : "");
+			printf(" %d day%s,", days, days > 1 ? "s" : "");
 		if (hrs > 0 && mins > 0)
-			(void)printf(" %2d:%02d,", hrs, mins);
+			printf(" %2d:%02d,", hrs, mins);
 		else if (hrs > 0)
-			(void)printf(" %d hr%s,", hrs, hrs > 1 ? "s" : "");
+			printf(" %d hr%s,", hrs, hrs > 1 ? "s" : "");
 		else if (mins > 0)
-			(void)printf(" %d min%s,", mins, mins > 1 ? "s" : "");
+			printf(" %d min%s,", mins, mins > 1 ? "s" : "");
 		else
-			(void)printf(" %d sec%s,", secs, secs > 1 ? "s" : "");
+			printf(" %d sec%s,", secs, secs > 1 ? "s" : "");
 	}
 
 	/* Print number of users logged in on system */
-	(void)printf(" %d user%s", nusers, nusers == 1 ? "" : "s");
+	printf(" %d user%s", nusers, nusers == 1 ? "" : "s");
 
 	/*
 	 * Print 1, 5, and 15 minute load averages.
 	 */
 	if (getloadavg(avenrun, sizeof(avenrun) / sizeof(avenrun[0])) == -1)
-		(void)printf(", no load average information available\n");
+		printf(", no load average information available\n");
 	else {
-		(void)printf(", load averages:");
+		printf(", load averages:");
 		for (i = 0; i < (sizeof(avenrun) / sizeof(avenrun[0])); i++) {
 			if (use_comma && i > 0)
-				(void)printf(",");
-			(void)printf(" %.2f", avenrun[i]);
+				printf(",");
+			printf(" %.2f", avenrun[i]);
 		}
-		(void)printf("\n");
+		printf("\n");
 	}
 }
 
@@ -488,7 +488,7 @@
 	static struct stat sb;
 	char ttybuf[MAXPATHLEN];
 
-	(void)snprintf(ttybuf, sizeof(ttybuf), "%s%.*s", _PATH_DEV, sz, line);
+	snprintf(ttybuf, sizeof(ttybuf), "%s%.*s", _PATH_DEV, sz, line);
 	if (stat(ttybuf, &sb)) {
 		warn("%s", ttybuf);
 		return (NULL);
@@ -500,10 +500,10 @@
 usage(int wcmd)
 {
 	if (wcmd)
-		(void)fprintf(stderr,
+		fprintf(stderr,
 		    "usage: w [-dhin] [-M core] [-N system] [user ...]\n");
 	else
-		(void)fprintf(stderr, "usage: uptime\n");
+		fprintf(stderr, "usage: uptime\n");
 	exit(1);
 }
 
Index: wall/ttymsg.c
===================================================================
RCS file: /cvs/src/usr.bin/wall/ttymsg.c,v
retrieving revision 1.2
diff -u -u -r1.2 ttymsg.c
--- wall/ttymsg.c	17 Jun 2003 04:29:33 -0000	1.2
+++ wall/ttymsg.c	7 Nov 2004 20:02:17 -0000
@@ -73,7 +73,7 @@
 	strlcpy(device + sizeof(_PATH_DEV) - 1, line, sizeof(device));
 	if (strchr(device + sizeof(_PATH_DEV) - 1, '/')) {
 		/* A slash is an attempt to break security... */
-		(void) snprintf(errbuf, sizeof(errbuf),
+		snprintf(errbuf, sizeof(errbuf),
 		    "Too many '/' in \"%s\"", device);
 		return (errbuf);
 	}
@@ -85,7 +85,7 @@
 	if ((fd = open(device, O_WRONLY|O_NONBLOCK, 0)) < 0) {
 		if (errno == EBUSY || errno == EACCES)
 			return (NULL);
-		(void) snprintf(errbuf, sizeof(errbuf), "%s: %s", device,
+		snprintf(errbuf, sizeof(errbuf), "%s: %s", device,
 		    strerror(errno));
 		return (errbuf);
 	}
@@ -119,27 +119,27 @@
 			int cpid;
 
 			if (forked) {
-				(void) close(fd);
+				close(fd);
 				_exit(1);
 			}
 			cpid = fork();
 			if (cpid < 0) {
-				(void) snprintf(errbuf, sizeof(errbuf),
+				snprintf(errbuf, sizeof(errbuf),
 				    "fork: %s", strerror(errno));
-				(void) close(fd);
+				close(fd);
 				return (errbuf);
 			}
 			if (cpid) {	/* parent */
-				(void) close(fd);
+				close(fd);
 				return (NULL);
 			}
 			forked++;
 			/* wait at most tmout seconds */
-			(void) signal(SIGALRM, SIG_DFL);
-			(void) signal(SIGTERM, SIG_DFL); /* XXX */
-			(void) sigsetmask(0);
-			(void) alarm((u_int)tmout);
-			(void) fcntl(fd, F_SETFL, 0);	/* clear O_NONBLOCK */
+			signal(SIGALRM, SIG_DFL);
+			signal(SIGTERM, SIG_DFL); /* XXX */
+			sigsetmask(0);
+			alarm((u_int)tmout);
+			fcntl(fd, F_SETFL, 0);	/* clear O_NONBLOCK */
 			continue;
 		}
 		/*
@@ -148,15 +148,15 @@
 		 */
 		if (errno == ENODEV || errno == EIO)
 			break;
-		(void) close(fd);
+		close(fd);
 		if (forked)
 			_exit(1);
-		(void) snprintf(errbuf, sizeof(errbuf),
+		snprintf(errbuf, sizeof(errbuf),
 		    "%s: %s", device, strerror(errno));
 		return (errbuf);
 	}
 
-	(void) close(fd);
+	close(fd);
 	if (forked)
 		_exit(0);
 	return (NULL);
Index: wall/wall.c
===================================================================
RCS file: /cvs/src/usr.bin/wall/wall.c,v
retrieving revision 1.3
diff -u -u -r1.3 wall.c
--- wall/wall.c	4 Oct 2003 20:36:54 -0000	1.3
+++ wall/wall.c	7 Nov 2004 20:02:17 -0000
@@ -90,7 +90,7 @@
 	char line[sizeof(utmp.ut_line) + 1];
 	char username[sizeof(utmp.ut_name) + 1];
 
-	(void)setlocale(LC_CTYPE, "");
+	setlocale(LC_CTYPE, "");
 
 	while ((ch = getopt(argc, argv, "g:n")) != -1)
 		switch (ch) {
@@ -168,7 +168,7 @@
 static void
 usage(void)
 {
-	(void)fprintf(stderr, "usage: wall [-g group] [file]\n");
+	fprintf(stderr, "usage: wall [-g group] [file]\n");
 	exit(1);
 }
 
@@ -187,10 +187,10 @@
 	const char *whom;
 	gid_t egid;
 
-	(void)snprintf(tmpname, sizeof(tmpname), "%s/wall.XXXXXX", _PATH_TMP);
+	snprintf(tmpname, sizeof(tmpname), "%s/wall.XXXXXX", _PATH_TMP);
 	if ((fd = mkstemp(tmpname)) == -1 || !(fp = fdopen(fd, "r+")))
 		err(1, "can't open temporary file");
-	(void)unlink(tmpname);
+	unlink(tmpname);
 
 	if (!nobanner) {
 		tty = ttyname(STDERR_FILENO);
@@ -199,8 +199,8 @@
 
 		if (!(whom = getlogin()))
 			whom = (pw = getpwuid(getuid())) ? pw->pw_name : "???";
-		(void)gethostname(hostname, sizeof(hostname));
-		(void)time(&now);
+		gethostname(hostname, sizeof(hostname));
+		time(&now);
 		lt = localtime(&now);
 
 		/*
@@ -210,17 +210,17 @@
 		 * Which means that we may leave a non-blank character
 		 * in column 80, but that can't be helped.
 		 */
-		(void)fprintf(fp, "\r%79s\r\n", " ");
-		(void)snprintf(lbuf, sizeof(lbuf), 
+		fprintf(fp, "\r%79s\r\n", " ");
+		snprintf(lbuf, sizeof(lbuf), 
 		    "Broadcast Message from %s@%s",
 		    whom, hostname);
-		(void)fprintf(fp, "%-79.79s\007\007\r\n", lbuf);
-		(void)snprintf(lbuf, sizeof(lbuf),
+		fprintf(fp, "%-79.79s\007\007\r\n", lbuf);
+		snprintf(lbuf, sizeof(lbuf),
 		    "        (%s) at %d:%02d %s...", tty,
 		    lt->tm_hour, lt->tm_min, lt->tm_zone);
-		(void)fprintf(fp, "%-79.79s\r\n", lbuf);
+		fprintf(fp, "%-79.79s\r\n", lbuf);
 	}
-	(void)fprintf(fp, "%79s\r\n", " ");
+	fprintf(fp, "%79s\r\n", " ");
 
 	if (fname) {
 		egid = getegid();
@@ -273,7 +273,7 @@
 				putc(ch, fp);
 			}
 		}
-	(void)fprintf(fp, "%79s\r\n", " ");
+	fprintf(fp, "%79s\r\n", " ");
 	rewind(fp);
 
 	if (fstat(fd, &sbuf))
@@ -283,5 +283,5 @@
 		err(1, "out of memory");
 	if (fread(mbuf, sizeof(*mbuf), mbufsize, fp) != mbufsize)
 		err(1, "can't read temporary file");
-	(void)close(fd);
+	close(fd);
 }
